UserActivities
Introduction
UserActivities track certain activities that the related User initiates and record the Department in which the activity took place.
Each UserActivity has a concrete type which defines the kind of activity that is tracked.
An activity is uniquely identified by the combination of the type and the related User. The associated Department reflects the user's most recently active location.
The fields created_at and updated_at indicate the time of the first and most recent occurrence of the activity, respectively.
Activities are only recorded through the use of the intratool application itself and not via the API.
Model Definition
Alias
userActivity
Relations
Types
general- Any activity of the related User.login- A login by the related User.logout- Any logout of the related User, recorded together with its reason-specific activity.logoutAdministrative- A logout caused by an administrative logout marker.logoutPasswordChanged- A logout caused by a password change.logoutSelf- A logout initiated by the related User.logoutTokenLogin- A logout caused when a login token replaces the current user session.logoutUnknown- A logout for which no more specific reason is available.logoutUserDisabled- A logout caused when the related User is disabled.
List
List visible UserActivities.
Definition
GET /api/user-activities
Request Keys
selects
string
All fields
Comma-separated fields to return.
relations
string
Default relations
Pipe-separated relations to include.
limit
integer
No limit
Maximum number of activities.
filter
object
No filters
Supported repository filters.
Example Request
Example Response
Show
Show one visible UserActivity.
Definition
GET /api/user-activities/{userActivity}
Route Parameters
userActivity
integer
UserActivity ID.
Request Keys
selects
string
All fields
Comma-separated fields to return.
relations
string
Default relations
Pipe-separated relations to include.
Example Request
Example Response
Last updated